__author__ = 'michel'

from modules.web import app


@babel.localeselector
def get_locale():
  lang = request.path[1:].split('/', 1)[0]
  if lang in ['de','en']:
    return lang
  else:
    return 'de'
"""
Web index
"""
@app.route('/')
def index():
    return render_template('index.html')


"""
Web Api - search broadcasts and download audio files
"""

api = restful.Api(app)
api.add_resource(BroadcastListAPI, '/api/v1.0/broadcasts', endpoint='broadcasts')
api.add_resource(BroadcastAPI, '/api/v1.0/broadcasts/download', endpoint='download')
api.add_resource(BroadcastOverwriteAPI, '/api/v1.0/broadcasts/overwrite', endpoint='broadcasts_overwrite')
api.add_resource(BroadcastResetAPI, '/api/v1.0/broadcasts/reset', endpoint='broadcasts_reset')
api.add_resource(BroadcastPrearrangeListAPI, '/api/v1.0/prearrange', endpoint='prearrange')
api.add_resource(BroadcastPrearrangeAddAPI, '/api/v1.0/prearrange/add', endpoint='prearrange_add')
api.add_resource(BroadcastPrearrangeOrderAPI, '/api/v1.0/prearrange/order', endpoint='prearrange_order')
api.add_resource(BroadcastPrearrangeRemoveAPI, '/api/v1.0/prearrange/remove', endpoint='prearrange_remove')

